Retrieves a single annotation by its identifier.
curl --request GET \
--url https://{install}/api/annotation/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/annotation/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/annotation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/annotation/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"entity": "<string>",
"owner": 123,
"ownerId": "<string>",
"annotator": 123,
"annotatorId": "<string>",
"restrictedTo": [
"<string>"
],
"contentType": "<string>",
"content": "<string>",
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}Links, Annotations & Watch
Retrieves a single annotation by its identifier.
GET
/
api
/
annotation
/
{id}
Retrieves a single annotation by its identifier.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The unique identifier of the annotation.
Response
The requested annotation.
Deletes an annotation by its identifier.
Previous
Updates an existing annotation by its identifier.
Next
⌘I